This queue is for tickets about the CPAN CPAN distribution.

Report information
The Basics
Id:
23315
Status:
resolved
Priority:
Low/Low
Queue:

People
Owner:
Nobody in particular
Requestors:
SMPETERS [...] cpan.org
Cc:
AdminCc:

BugTracker
Severity:
(no value)
Broken in:
1.88_59
Fixed in:
(no value)



Subject: Problems with zipped distributions
When trying to install Plagger, installation stopped after trying to install Config::INI::Simple. This was because Config::INI::Simple is zipped and I had no unzip program specified. To replicate... 1. set the configured unzip program to blank 2. attempt to install Config::INI::Simple and any additional module At this point, I would expect the install for Config::INI::Simple to fail, but CPAN would attempt to install the next module normally. Currently, the installation process stops there.
Subject: Re: [rt.cpan.org #23315] Problems with zipped distributions
Date: Thu, 16 Nov 2006 06:30:37 +0100
To: bug-CPAN@rt.cpan.org
From: andreas.koenig.gmwojprw@franz.ak.mind.de (Andreas J. Koenig)
Show quoted text
>>>>> On Wed, 15 Nov 2006 11:21:34 -0500, " via RT" <bug-CPAN@rt.cpan.org> said:
Show quoted text
> Wed Nov 15 11:21:33 2006: Request 23315 was acted upon. > Transaction: Ticket created by SMPETERS > Queue: CPAN > Subject: Problems with zipped distributions > Broken in: 1.88_59 > Severity: (no value) > Owner: Nobody > Requestors: SMPETERS@cpan.org > Status: new > Ticket <URL: http://rt.cpan.org/Ticket/Display.html?id=23315 >
Show quoted text
> When trying to install Plagger, installation stopped after trying to > install Config::INI::Simple. This was because Config::INI::Simple is > zipped and I had no unzip program specified. To replicate...
Show quoted text
> 1. set the configured unzip program to blank > 2. attempt to install Config::INI::Simple and any additional module
Show quoted text
> At this point, I would expect the install for Config::INI::Simple to > fail, but CPAN would attempt to install the next module normally. > Currently, the installation process stops there.
Can you still reproduce this with 1.88_62? I see: Failed during this command: KIRSLE/Config-INI-Simple-0.01.zip : unwrapped NO -- unzip failed When I look through my Changes file I find 2006-10-22 Andreas J. Koenig <andreas.koenig.gmwojprw@franz.ak.mind.de> * release 1.88_56 * reporting of errors during unpacking is now integrated into the report section at the end of each command and the 'failed' command. Enjoy:) -- andreas
On Thu Nov 16 00:31:56 2006, andreas.koenig.gmwojprw@franz.ak.mind.de wrote:
Show quoted text
> >>>>> On Wed, 15 Nov 2006 11:21:34 -0500, " via RT" <bug-
> CPAN@rt.cpan.org> said: >
> > Wed Nov 15 11:21:33 2006: Request 23315 was acted upon. > > Transaction: Ticket created by SMPETERS > > Queue: CPAN > > Subject: Problems with zipped distributions > > Broken in: 1.88_59 > > Severity: (no value) > > Owner: Nobody > > Requestors: SMPETERS@cpan.org > > Status: new > > Ticket <URL: http://rt.cpan.org/Ticket/Display.html?id=23315 >
> >
> > When trying to install Plagger, installation stopped after trying
> to
> > install Config::INI::Simple. This was because Config::INI::Simple
> is
> > zipped and I had no unzip program specified. To replicate...
>
> > 1. set the configured unzip program to blank > > 2. attempt to install Config::INI::Simple and any additional
> module >
> > At this point, I would expect the install for Config::INI::Simple
> to
> > fail, but CPAN would attempt to install the next module normally. > > Currently, the installation process stops there.
> > Can you still reproduce this with 1.88_62? > > I see: > > Failed during this command: > KIRSLE/Config-INI-Simple-0.01.zip : unwrapped NO -- unzip > failed > > When I look through my Changes file I find > > 2006-10-22 Andreas J. Koenig > <andreas.koenig.gmwojprw@franz.ak.mind.de> > > * release 1.88_56 > > * reporting of errors during unpacking is now integrated into the > report section at the end of each command and the 'failed' command. > > > Enjoy:)
cpan shell -- CPAN exploration and modules installation (v1.8862) ReadLine support available (try 'install Bundle::CPAN') I actually just had a similar crash when trying to install Catalyst-Plugin-Authorization-CDBI-GroupToken-0.01 on Solaris 11 with bleadper and the Solaris tar (/usr/bin/tar). tar failed to untar that distribtion and it brought stopped the installation of Bundle::Everything.
Thanks, I finally found another few places that need to be protected against too strong deaths. I hope I have found all of them and 1.88_63 is out to let us test how far we get with it. Thanks!


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.